=== modified file 'setup.py'
--- setup.py	2011-03-29 22:34:25 +0000
+++ setup.py	2011-04-05 12:53:56 +0000
@@ -16,6 +16,7 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
+import glob
 import os
 import subprocess
 import sys
@@ -86,6 +87,19 @@
 except:
     pass
 
+
+def find_data_files(destdir, srcdir):
+    package_data = []
+    files = []
+    for d in glob.glob('%s/*' % (srcdir, )):
+        if os.path.isdir(d):
+            package_data += find_data_files(
+                                 os.path.join(destdir, os.path.basename(d)), d)
+        else:
+            files += [d]
+    package_data += [(destdir, files)]
+    return package_data
+
 DistUtilsExtra.auto.setup(name='nova',
       version=version.canonical_version_string(),
       description='cloud computing fabric controller',
@@ -96,6 +110,7 @@
       packages=find_packages(exclude=['bin', 'smoketests']),
       include_package_data=True,
       test_suite='nose.collector',
+      data_files=find_data_files('share/nova', 'tools'),
       scripts=['bin/nova-ajax-console-proxy',
                'bin/nova-api',
                'bin/nova-compute',

